function Init()
    strategy:name("test");
end

local Source;
local ind_mva1000;
local mva1000data;

function Prepare()
    Source = ExtSubscribe1(2, "FRA40", "m5", 5000, true, "bar");
    ind_mva1000 = core.indicators:create("MVA", Source.close,1000);
    mva1000data = ind_mva1000.DATA;
    ExtSetupSignal("Signal: ", true);
end

-- when tick source is updated
function ExtUpdate(id, source, period)
    core.host:trace("ExtUpdate");
    ind_mva1000:update(core.UpdateLast);
    ExtSignal(source, period, "test "..mva1000data[period], "", "", false);
end

function ExtAsyncOperationFinished(cookie, success, message)
    core.host:trace(tostring(cookie) .. " " .. tostring(success) .. " " .. tostring(message));
end

dofile(core.app_path() .. "\\strategies\\standard\\include\\helper.lua");